[arch-commits] CVS update of extra/multimedia/xine-lib (PKGBUILD)

Thomas Baechler thomas at archlinux.org
Thu Jun 7 10:21:37 EDT 2007


    Date: Thursday, June 7, 2007 @ 10:21:37
  Author: thomas
    Path: /home/cvs-extra/extra/multimedia/xine-lib

   Added: PKGBUILD (1.1)

moving in from extra


----------+
 PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)


Index: extra/multimedia/xine-lib/PKGBUILD
diff -u /dev/null extra/multimedia/xine-lib/PKGBUILD:1.1
--- /dev/null	Thu Jun  7 10:21:37 2007
+++ extra/multimedia/xine-lib/PKGBUILD	Thu Jun  7 10:21:37 2007
@@ -0,0 +1,37 @@
+# $Id: PKGBUILD,v 1.1 2007/06/07 14:21:37 thomas Exp $
+# Maintainer: dorphell <dorphell at archlinux.org>
+# Committer: Judd Vinet <jvinet at zeroflux.org>
+pkgname=xine-lib
+pkgver=1.1.6
+pkgrel=2
+pkgdesc="A free video player for Unix"
+arch=('i686' 'x86_64')
+license=('LGPL' 'GPL')
+depends=('libgl' 'libxvmc' 'esd' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
+         'codecs')
+makedepends=('pkgconfig' 'libtool' 'automake' 'autoconf' 'imagemagick' 
+             'smbclient' 'mesa')
+options=('!libtool')
+source=(http://heanet.dl.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.gz
+	xine-lib-1.1.1-configure-no-mcpu-march.patch
+	bgo375866.patch)
+url="http://xinehq.de/"
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i ${startdir}/src/xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
+  patch -Np1 -i ${startdir}/src/bgo375866.patch || return 1
+  aclocal -I m4
+  libtoolize --force
+  autoheader
+  automake --gnu --add-missing
+  autoconf
+  export SED="/bin/sed"
+  export LIBPNG_CONFIG="/usr/bin/pkg-config libpng12"
+
+  ./configure --prefix=/usr --with-w32-path=/usr/lib/win32 \
+    --with-xv-path=/usr/lib --with-libflac --without-arts \
+    --without-jack --disable-gnomevfs --disable-polypaudio
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+}




More information about the arch-commits mailing list